export = Vault;
declare class Vault {
    /**
     * secret reference
     * @typedef {Object} SecretReference
     * @property {string} path
     * @property {string} key
     */
    /**
     * finds the path and key from a context and a variable string
     * @param {any} ctx vault secret-store context
     * @param {string | undefined} variable variable string
     * @returns {SecretReference} secret reference
     */
    static getReferences(ctx: any, variable?: string | undefined): SecretReference;
    constructor(apiUrl: any, auth: any);
    _apiUrl: any;
    _auth: any;
    /**
     * Initializes the vault client
     */
    init(): Promise<void>;
    _client: vault.client;
    read(path: any): Promise<any>;
    _gcpLogin(): Promise<void>;
    _request(url: any, { headers, params }: {
        headers: any;
        params: any;
    }): Promise<any>;
    _kubernetesLogin(): Promise<void>;
}
declare namespace Vault {
    export { SecretReference };
}
import vault = require("node-vault");
/**
 * secret reference
 */
type SecretReference = {
    path: string;
    key: string;
};
