export function to(fn: any): Promise<any[]>;
/**
 * extract the parts of a variable reference
 * @param {string} variable variable
 * @returns {[string, string, string]} an array with the namespace, resource-name, and key
 */
declare function _splitToParts(variable?: string): [string, string, string];
/**
 * builds an error object
 * @param {{lvl: string, message: string, default: string}} opt options
 * @param {Error} error error
 * @param {string} suggestion suggestion
 * @returns {CFError} error
 */
declare function _buildError(opt: {
    lvl: string;
    message: string;
    default: string;
}, error: Error, suggestion: string): any;
/**
 * perform an operation with a set timeout
 * @param {function(...*):Promise<*>} fn
 * @param {number} timeout
 * @returns {function(...*):Promise<*>} function with timeout
 */
declare function _withTimeout(fn: (...args: any[]) => any, timeout: number): (...args: any[]) => any;
/**
 * checks if the given response contains a json body
 * @param {Object} res http response
 * @returns {boolean}
 */
export function isJsonResponse(res: any): boolean;
export { _splitToParts as split, _buildError as buildError, _withTimeout as withTimeout };
